from sqlalchemy import Column, String, Boolean

from app.db.base_class import BaseModel


class User(BaseModel):
    """
    User model for authentication and authorization.
    """

    email = Column(String, unique=True, index=True, nullable=False)
    hashed_password = Column(String, nullable=False)
    full_name = Column(String, nullable=True)
    is_active = Column(Boolean, default=True)
    is_superuser = Column(Boolean, default=False)
